
function checkReminderToRate() {
    var now = new Date().getTime();
    var remindToRate = Ti.App.Properties.getString('RemindToRate');
    if (!remindToRate) {
        Ti.App.Properties.setString('RemindToRate', now);
    }
    else if (remindToRate < now) {
        var alertDialog = Titanium.UI.createAlertDialog({
            title: 'Please rate this app!',
            message: 'Would you help us and rate this app?',
            buttonNames: ['OK', 'Remind Me Later', 'Never'],
            cancel: 2
        });
        alertDialog.addEventListener('click', function(evt) {
            switch (evt.index) {
                case 0:
                    Ti.App.Properties.setString('RemindToRate', Number.MAX_VALUE);
                    // NOTE: replace this with your own iTunes link; also, this won't WON'T WORK IN THE SIMULATOR!
                    if (Ti.Android) {
                        Ti.Platform.openURL('market://details?id=com.azacsoftware.babysleep');
                    }
                    else {
                        Ti.Platform.openURL('URL TO YOUR APP IN THE ITUNES STORE');
                    }
                    break;
                case 1:
                    // "Remind Me Later"? Ok, we'll remind them tomorrow when they launch the app.
                    Ti.App.Properties.setString('RemindToRate', now + (1000 * 60 * 60 * 24));
                    break;
                case 2:
                    Ti.App.Properties.setString('RemindToRate', Number.MAX_VALUE);
                    break;
            }
        });
        alertDialog.show();
    }
}



var gramuzyka = 0

var win1 = Titanium.UI.createWindow({
	title : 'Tab 1',
	backgroundColor : '#fff'
});

win1.addEventListener('open', checkReminderToRate);


var view0 = Ti.UI.createView({
	backgroundColor : 'red',
	backgroundImage : 'info.png'
});


var view1 = Ti.UI.createView({
	backgroundColor : 'red',
	backgroundImage : 'ocean.png'
});

var view2 = Ti.UI.createView({
	backgroundColor : 'black',
	backgroundImage : 'prenatal.png'
});


var view3 = Ti.UI.createView({
	backgroundColor : 'black',
	backgroundImage : 'cars.png'
});


var view4 = Ti.UI.createView({
	backgroundColor : 'black',
	backgroundImage : 'water.png'
});


var scrollableView = Ti.UI.createScrollableView({
	views : [view0, view1, view2,view3,view4],
	top : 0,
	width : '100%',
	height : '100%'
});

//var button = Titanium.UI.createButton({
//	title : 'Odtwarzaj',
//	top : 10,
//	width : 100,
//	height : 50
//});

//var sound1 = Titanium.Media.createSound({
//			url : 'ocean3.ogg',
//			preload : true
//		});
		
		

var sound1=Ti.Media.createSound({url:"app://ocean3.ogg"});
sound1.setLooping(true);
var sound2=Ti.Media.createSound({url:"app://heartbeat.ogg"});
sound2.setLooping(true);	
var sound3=Ti.Media.createSound({url:"app://city.ogg"});
sound3.setLooping(true);			
var sound4=Ti.Media.createSound({url:"app://tap-water.ogg"});
sound4.setLooping(true);			
		
//		var sound1= Titanium.Media.createAudioPlayer();
//	sound1.setUrl('ocean3.ogg');
	
//		var sound2 = Titanium.Media.createAudioPlayer();
//	sound2.setUrl('heartbeat.ogg');
		
//		var sound3 = Titanium.Media.createAudioPlayer();
//	sound3.setUrl('city.ogg');
		
		


scrollableView.addEventListener('scroll', function(e)
{
    Ti.API.info("Image Scrolled current page: " + e.currentPage);
   
   
    if (e.currentPage===0) {

	sound2.stop();
	sound3.stop();
	sound1.stop();
	sound4.stop();
	adMobView.requestAd();	
	
}   
    
    
    if (e.currentPage===1) {

	sound2.stop();
	sound3.stop();
	sound4.stop();
	sound1.play();	
	adMobView.requestAd();
}

if (e.currentPage===2) {

	sound1.stop();
	sound3.stop();
	sound4.stop();
	sound2.play();	
	adMobView.requestAd();
	
}

if (e.currentPage===3) {

	sound1.stop();
	sound2.stop();
	sound4.stop();
	sound3.play();
		
	adMobView.requestAd();
	
}


if (e.currentPage===4) {

	sound1.stop();
	sound2.stop();
	sound3.stop();
	sound4.play();	
	adMobView.requestAd();
	
}
    


    
});






// require AdMob
var Admob = require('ti.admob');

// then create an adMob view
var adMobView = Admob.createView({
    publisherId:"a14f149c427d56e",
    testing:false, // default is false
    //top: 10, //optional
    //left: 0, // optional
    //right: 0, // optional
    bottom: 0, // optional
    adBackgroundColor:"FF8855", // optional
    backgroundColorTop: "738000", //optional - Gradient background color at top
    borderColor: "#000000", // optional - Border color
    textColor: "#000000", // optional - Text color
    urlColor: "#00FF00", // optional - URL color
    linkColor: "#0000FF" //optional -  Link text color
    //primaryTextColor: "blue", // deprecated -- now maps to textColor
    //secondaryTextColor: "green" // deprecated -- now maps to linkColor
    
});

//listener for adReceived
adMobView.addEventListener(Admob.AD_RECEIVED,function(){
   // alert("ad received");
   Ti.API.info("ad received");
});

//listener for adNotReceived
adMobView.addEventListener(Admob.AD_NOT_RECEIVED,function(){
    //alert("ad not received");
     Ti.API.info("ad not received");
});







//view1.add(button)

win1.add(scrollableView);
win1.add(adMobView);

win1.open();




